ParameterAnnotationEntry (Apache Commons BCEL 6.4.1 API)

org.apache.bcel.classfile

## Class ParameterAnnotationEntry

- java.lang.Object
- - org.apache.bcel.classfile.ParameterAnnotationEntry

- All Implemented Interfaces:
    Node

      public class ParameterAnnotationEntry
      extends Object
      implements Node

  represents one parameter annotation in the parameter annotation table
  Since:
    6.0

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
    `static ParameterAnnotationEntry[]` | `createParameterAnnotationEntries(Attribute[] attrs)`
    `void` | `dump(DataOutputStream dos)`
    `AnnotationEntry[]` | `getAnnotationEntries()` returns the array of annotation entries in this annotation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Parameters:
        `v` - Visitor object

    - #### getAnnotationEntries

          public AnnotationEntry[] getAnnotationEntries()

      returns the array of annotation entries in this annotation

    - #### dump

          public void dump(DataOutputStream dos)
                    throws IOException

      Throws:
        `IOException`

    - #### createParameterAnnotationEntries

          public static ParameterAnnotationEntry[] createParameterAnnotationEntries(Attribute[] attrs)

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.